Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.testbed
Class TestSettings

    java.lang.Object
      org.jbox2d.testbed.TestSettings

    public class TestSettings

extends java.lang.Object

Field Summary
`boolean` | `drawAABBs`
`boolean` | `drawCOMs`
`boolean` | `drawContactForces`
`boolean` | `drawContactNormals`
`boolean` | `drawContactPoints`
`boolean` | `drawCoreShapes`
`boolean` | `drawFrictionForces`
`boolean` | `drawImpulses`
`boolean` | `drawJoints`
`boolean` | `drawOBBs`
`boolean` | `drawPairs`
`boolean` | `drawShapes`
`boolean` | `drawStats`
`boolean` | `enablePositionCorrection`
`boolean` | `enableTOI`
`boolean` | `enableWarmStarting`
`int` | `hz`
`int` | `iterationCount`
`boolean` | `pause`
`boolean` | `singleStep`

Constructor Summary
`TestSettings()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hz

    public int hz

### iterationCount

    public int iterationCount

### enableWarmStarting

    public boolean enableWarmStarting

### enablePositionCorrection

    public boolean enablePositionCorrection

### enableTOI

    public boolean enableTOI

### pause

    public boolean pause

### singleStep

    public boolean singleStep

### drawShapes

    public boolean drawShapes

### drawJoints

    public boolean drawJoints

### drawCoreShapes

    public boolean drawCoreShapes

### drawOBBs

    public boolean drawOBBs

### drawCOMs

    public boolean drawCOMs

### drawStats

    public boolean drawStats

### drawImpulses

    public boolean drawImpulses

### drawAABBs

    public boolean drawAABBs

### drawPairs

    public boolean drawPairs

### drawContactPoints

    public boolean drawContactPoints

### drawContactNormals

    public boolean drawContactNormals

### drawContactForces

    public boolean drawContactForces

### drawFrictionForces

    public boolean drawFrictionForces

Constructor Detail

### TestSettings

    public TestSettings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD